Subject: Re: [Nel] Gamer question (the asp hole)

From: Michael Warnock <[email-masked]>
Date: Fri, 14 Dec 2001 11:29:14 -0800

12/14/2001 5:52:43 AM, "Paul Siegel" <[email-masked]> wrote:

>Kai, from my reading of the GPL, everything wraps around the clause of "if
>you distribute".  Since Ryzom has yet to be distributed, I don't think
>Nevrax is under any obligation to share the source code.
>
>Under this same logic, I would think that Nevrax will never have to release
>the source code of their servers, since such software is really for internal
>use only, not to be distributed.  Isn't that correct?
>
thats what's known as the ASP hole (application service provider).  On the one hand it has been used to create money-making websites out of gpl pieces by companies who have never released their code changes.  On the 
other hand, with a massively multiplayer game there is a lot of server side stuff- rules/ agent experience/ object locations that you may not want to release in the interests of gameplay.  However, most of that type of thing can 
be abstracted from the core programs and written in a definition or scripting language specific to the game or in some general purpose language like python.  these interpreted programs, stored in some database, can now be 
considered content and free from gpl obligations.  But that means that even if all the backend source is available, you have a lot of work to do before it does anything useful.
with a few grey areas in rules (physics?) I think this is as it should be.

michael